Return-path: <voyage-linux-bounces+punkytse=punknix.com@list.voyage.hk>
Envelope-to: punkytse@punknix.com
Delivery-date: Sun, 23 Sep 2012 01:29:39 +0800
Received: from localhost ([127.0.0.1] helo=punknix.punknix.com)
	by punknix.punknix.com with esmtp (Exim 4.72)
	(envelope-from <voyage-linux-bounces+punkytse=punknix.com@list.voyage.hk>)
	id 1TFTWN-00055L-F4
	for punkytse@punknix.com; Sun, 23 Sep 2012 01:29:39 +0800
Received: from [212.70.193.242] (helo=orion.ozo.com)
	by punknix.punknix.com with esmtp (Exim 4.72)
	(envelope-from <jim.cromie@gmail.com>) id 1TFTMr-0003PH-Fw
	for voyage-linux@voyage.hk; Sun, 23 Sep 2012 01:19:50 +0800
Received: from mail-ie0-f171.google.com (mail-ie0-f171.google.com
	[209.85.223.171])
	by orion.ozo.com (8.14.5/8.14.5) with ESMTP id q8MHJagF010307
	for <voyage-linux@list.voyage.hk>; Sat, 22 Sep 2012 20:19:44 +0300
Received: by iecs9 with SMTP id s9so4846463iec.30
	for <voyage-linux@list.voyage.hk>; Sat, 22 Sep 2012 10:19:35 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=from:to:cc:subject:date:message-id:x-mailer:in-reply-to:references;
	bh=XN4hiEjhskvaqrVghjbUf9E8vIIMHPoKrrM4UkDNU34=;
	b=ZFAjaY4vnzZgmI8p2J90KeLaG+jcNo/mAGMGY6TTF/TCAp08fFo8h+Cwy3u13RyZvy
	Tu1QVGEZbUgGZlVAb6HU7JQV7wkUThfPHgVNhCiEXuSPoJnNghnh2jGPGl0054vDfpI2
	pvBxp04HHFupK+U00P51heiW3Q/DIrQJx9y0bXE+WyitOgSFqDwP+ifwanqozNPK6nqN
	oHzBWh64Kqh7PA7Q3DwD/NeJovafA3oufp7kbqcTSDZJJFXdmXnEhv78xt4/Yj85HPrk
	/NVh2vkdhA+bctUjK5ELwMcwo5HctC6y7mynBFBh3/P23M1fD27vh+WHK/6g8adxS8Ll
	Eozg==
Received: by 10.50.219.129 with SMTP id po1mr1457194igc.35.1348334375725;
	Sat, 22 Sep 2012 10:19:35 -0700 (PDT)
Received: from groucho.jimc.earth.net (c-75-70-77-50.hsd1.co.comcast.net.
	[75.70.77.50])
	by mx.google.com with ESMTPS id a1sm1799795igc.7.2012.09.22.10.19.34
	(version=TLSv1/SSLv3 cipher=OTHER);
	Sat, 22 Sep 2012 10:19:35 -0700 (PDT)
From: Jim Cromie <jim.cromie@gmail.com>
To: voyage-linux@voyage.hk, voyage-linux@voyage.hk
Date: Sat, 22 Sep 2012 11:19:16 -0600
Message-Id: <1348334358-23093-3-git-send-email-jim.cromie@gmail.com>
X-Mailer: git-send-email 1.7.11.4
In-Reply-To: <1348334358-23093-1-git-send-email-jim.cromie@gmail.com>
References: <1348334358-23093-1-git-send-email-jim.cromie@gmail.com>
X-Scanned-By: MIMEDefang 2.73
Subject: [Voyage-linux] [PATCH 2/4] voyage-install: set ROOT_LBL=VOYAGE_FS
X-BeenThere: voyage-linux@list.voyage.hk
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: Discussion about voyage linux <voyage-linux.list.voyage.hk>
List-Unsubscribe: <http://list.voyage.hk/mailman/options/voyage-linux>,
	<mailto:voyage-linux-request@list.voyage.hk?subject=unsubscribe>
List-Archive: <http://list.voyage.hk/pipermail/voyage-linux/>
List-Post: <mailto:voyage-linux@list.voyage.hk>
List-Help: <mailto:voyage-linux-request@list.voyage.hk?subject=help>
List-Subscribe: <http://list.voyage.hk/mailman/listinfo/voyage-linux>,
	<mailto:voyage-linux-request@list.voyage.hk?subject=subscribe>
MIME-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: 7bit
Errors-To: voyage-linux-bounces+punkytse=punknix.com@list.voyage.hk
Sender: "Voyage-linux"
	<voyage-linux-bounces+punkytse=punknix.com@list.voyage.hk>

Set the label once, in top-level script (perhaps needed in
voyage-update too, deferred for now).

MOUNTPT is "declared", unused for now.  Its a placeholder for later
automation.

Signed-off-by: Jim Cromie <jim.cromie@gmail.com>
---
 usr/local/sbin/voyage-install.sh | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/usr/local/sbin/voyage-install.sh b/usr/local/sbin/voyage-install.sh
index b9d5e4a..1837e40 100755
--- a/usr/local/sbin/voyage-install.sh
+++ b/usr/local/sbin/voyage-install.sh
@@ -19,6 +19,11 @@ if [ "$BOOTARGS" != "" ]; then
 	echo "adding bootargs: $BOOTARGS"
 fi
 
+# use distinctive label for partition
+ROOT_LBL=${ROOT_LBL:=VOYAGE_FS}
+export ROOT_LBL
+MOUNTPT=
+
 #
 #	Function select_target_disk
 #	Sets the environment variables TARGET_DISK, TARGET_PART
-- 
1.7.11.4


_______________________________________________
Voyage-linux mailing list
Voyage-linux@list.voyage.hk
http://list.voyage.hk/mailman/listinfo/voyage-linux
